#!/bin/bash

function getUser
{
	user=
	userPath=/run/systemd/users
	userFiles=`ls $userPath`
	for userFile in $userFiles
	do
		if [ "${userFile}" -ge "500" ];then
			userState=`awk -F= '{ if($1=="STATE") print $2}' ${userPath}/${userFile}`
			if [ ${userState} == "active" ];then
				user=`awk -F= '{ if($1=="NAME") print $2}' ${userPath}/${userFile}`
				break
			fi
		fi
	done

	if [ "$user" == "" ];then
		user=root
	fi
	echo $user
}

function getHomePath
{
	home_path=
	if [ $1 != root ];then
		home_path=/home/$1
	else
		home_path=/root
	fi
	echo $home_path
}

function changeOwner
{
	user=$1
	target=$2
	group=
	groupID=`awk -F: '$1 == "'$user'" {print $4}' /etc/passwd`
	if [ "$groupID" != "" ];then
		group=`awk -F: '$3 == "'$groupID'" {print $1}' /etc/group`
	fi
	if [ "$group" != "" ];then
		chown -R $user:$group $target
	else
		chown -R $user $target
	fi
}
