#!/bin/bash

. ${1}getUserAndHomePath.sh
user=$(getUser)
home_path=$(getHomePath $user)
pkcsPath=${home_path}/.pki/nssdb/
qaxpkcsPath=${home_path}/.pki/nssdb/.config/qaxbrowser/

function unInstallP11
{
	if [ ! -d ${2} ];then
		return 1
	fi
	tool=${1}/modutil
	if [ -f /usr/bin/modutil ];then
		tool=modutil
	fi
	${tool} -force -dbdir sql:${2} -delete "$3" > /dev/null 2>&1
	$(changeOwner ${user} ${2})
}

pkcsPathArray=(${pkcsPath} ${qaxpkcsPath})

for pkcsPathTemp in ${pkcsPathArray[@]}
do
    unInstallP11 ${1} ${pkcsPathTemp} 'OnKeyP11_PSBC'
done